Package: org.grails.buffer

## [Java] Class FastStringWriter

- org.grails.buffer.FastStringWriter

- Java's default StringWriter uses a StringBuffer which is synchronized. This implementation doesn't use synchronization

  Authors:
    Graeme Rocher
    Lari Hotari
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected StreamCharBuffer` | `streamBuffer` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsPrintWriter` | `CRLF, LOG, allowUnwrappingOut, out, previousOut, streamCharBufferTarget, trouble, usageFlag`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FastStringWriter ()`
    `FastStringWriter (int initialChunkSize)`
    `FastStringWriter (java.lang.Object o)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `StreamCharBuffer` | `getBuffer()`
    `` | `java.io.Reader` | `getReader()`
    `` | `java.lang.String` | `getValue()`
    `` | `protected void` | `initOut()`
    `` | `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsPrintWriter` | `append, append, append, append, append, appendNullCharSequence, asPrintWriter, asType, checkError, clone, close, findStreamCharBufferTarget, flush, getMetaClass, getOut, getProperty, getWriterForEncoder, invokeMethod, isAllowUnwrappingOut, isDestinationActivated, isUsed, leftShift, leftShift, leftShift, leftShift, leftShift, markUsed, plus, print, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setMetaClass, setOut, setProperty, setUsed, unwrap, unwrapWriter, write, write, write, write, write, write, write, writeWritable`
    `class java.io.Writer` | `java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long, int), java.io.Writer#wait(long), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()`

- - ### Field Detail

    - #### protected final StreamCharBuffer streamBuffer

  - ### Constructor Detail

    - #### public FastStringWriter()

    - #### public FastStringWriter(int initialChunkSize)

    - #### public FastStringWriter(java.lang.Object o)

  - ### Method Detail

    - #### public StreamCharBuffer getBuffer()

    - #### public java.io.Reader getReader()

    - #### public java.lang.String getValue()

    - #### protected void initOut()

    - #### @java.lang.Override public java.lang.String toString()